package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.BaseStdMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_STD", namespace=BaseStdMapper.class)
public class BaseStd extends BaseVO implements Serializable {

	/** 标准代码 */
	@Id("STD_CODE")
	private String stdCode;

	/** 标准名称 */
	@Column("STD_NAME")
	private String stdName;

	/** 标准类型(G:国标(国际),X:协议,K:Alpha,N:内控,S:试验标准,P:成分偏差标准,Q:取样标准,Z:制样标准,T:公差引用标准,C：工艺标准) */
	@Column("STD_TYPE")
	private String stdType;

	/** 标准描述 */
	@Column("STD_NOTE")
	private String stdNote;

	/** 标准协会代码(4001) */
	@Column("STD_CLUB_CODE")
	private String stdClubCode;

	/** 标准协会描述(美标、英标、国标、行业标准、企标.......) */
	@Column("STD_CLUB_DESC")
	private String stdClubDesc;

	/** 标准版本号 */
	@Column("STD_VERSION")
	private String stdVersion;

	/** 管理部门代码 */
	@Column("DEPT_CODE")
	private String deptCode;

	/** 管理部门描述 */
	@Column("DEPT_DESC")
	private String deptDesc;

	/** 管理科室代码 */
	@Column("SECTION_CODE")
	private String sectionCode;

	/** 管理科室描述 */
	@Column("SECTION_NAME")
	private String sectionName;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** 适用工序代码 */
	@Column("PROCESS_CODE")
	private String processCode;

	/** 适用工序名称 */
	@Column("PROCESS_DESC")
	private String processDesc;

	/** {老系统}标准代码 */
	@Column("STD_CODE_OLD")
	private String stdCodeOld;

	/** 纳标标志   0未纳标 1已纳标 */
	@Column("ACCEPT_BID")
	private String acceptBid;

	/** 是否采购标准 */
	@Column("PURCHASE_STD")
	private String purchaseStd;

	/** 是否禁用合同录入 */
	@Column("FORBIDDEN_ORDER")
	private String forbiddenOrder;

	public String getStdCode() {
		return this.stdCode;
	}

	public String getStdName() {
		return this.stdName;
	}

	public String getStdType() {
		return this.stdType;
	}

	public String getStdNote() {
		return this.stdNote;
	}

	public String getStdClubCode() {
		return this.stdClubCode;
	}

	public String getStdClubDesc() {
		return this.stdClubDesc;
	}

	public String getStdVersion() {
		return this.stdVersion;
	}

	public String getDeptCode() {
		return this.deptCode;
	}

	public String getDeptDesc() {
		return this.deptDesc;
	}

	public String getSectionCode() {
		return this.sectionCode;
	}

	public String getSectionName() {
		return this.sectionName;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getProcessCode() {
		return this.processCode;
	}

	public String getProcessDesc() {
		return this.processDesc;
	}

	public String getStdCodeOld() {
		return this.stdCodeOld;
	}

	public String getAcceptBid() {
		return this.acceptBid;
	}

	public String getPurchaseStd() {
		return this.purchaseStd;
	}

	public String getForbiddenOrder() {
		return this.forbiddenOrder;
	}

	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	public void setStdType(String stdType) {
		this.stdType = stdType;
	}

	public void setStdNote(String stdNote) {
		this.stdNote = stdNote;
	}

	public void setStdClubCode(String stdClubCode) {
		this.stdClubCode = stdClubCode;
	}

	public void setStdClubDesc(String stdClubDesc) {
		this.stdClubDesc = stdClubDesc;
	}

	public void setStdVersion(String stdVersion) {
		this.stdVersion = stdVersion;
	}

	public void setDeptCode(String deptCode) {
		this.deptCode = deptCode;
	}

	public void setDeptDesc(String deptDesc) {
		this.deptDesc = deptDesc;
	}

	public void setSectionCode(String sectionCode) {
		this.sectionCode = sectionCode;
	}

	public void setSectionName(String sectionName) {
		this.sectionName = sectionName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	public void setStdCodeOld(String stdCodeOld) {
		this.stdCodeOld = stdCodeOld;
	}

	public void setAcceptBid(String acceptBid) {
		this.acceptBid = acceptBid;
	}

	public void setPurchaseStd(String purchaseStd) {
		this.purchaseStd = purchaseStd;
	}

	public void setForbiddenOrder(String forbiddenOrder) {
		this.forbiddenOrder = forbiddenOrder;
	}
	
	/**
	 * 许可证号  3/12
	 */
	@Column("LICENSE_NO")
	private String license_no;

	public String getLicense_no() {
		return license_no;
	}

	public void setLicense_no(String license_no) {
		this.license_no = license_no;
	}

}
